<?php

namespace Smsto\Hubspot\Services;

class HubspotOAuthService
{
    public static array $installScopes = [
        'timeline',
        'oauth',
        'tickets',
        'crm.objects.contacts.read',
        'crm.objects.companies.read',
        'crm.objects.deals.read'
    ];

    /**
     * Generates install url for hubspot app
     *
     * @return string
     */
    public static function generateInstallUrl(): string
    {
        $queryParameters = [
            'client_id' => config('hubspot.client_id'),
            'redirect_uri' => config('hubspot.redirect_uri'),
            'scope' => implode(' ', self::$installScopes)
        ];

        $url = config('hubspot.oauth_url');
        return $url . "?" . http_build_query($queryParameters);
    }
}

